use Test::More ;

use Stanford::Certificate ;
use Stanford::Certificate::Mail ;

use Stanford::Orange::Util qw/ trim slurp spew tempfile / ;
use Data::Dumper ;

# Set the DEB_PACKAGE_BUILD environment variable.
require 't/run_non_build_tests.pl' ;

my $number_of_tests_run ;

# Setup schema and config
require 't/setup_schema.pl' ;
my ($schema, $CONFIG) = get_schema() ;

# Skip the test e-mail send if building Debian package.
SKIP:
{
  if (defined($ENV{'DEB_PACKAGE_BUILD'}) && ($ENV{'DEB_PACKAGE_BUILD'} eq '1'))
  {
    skip "skipping e-mail send", 1 ;
  }

  my $cm_credentials_yml_file = $CONFIG->incommon_cm_credentials_yaml_file() ;
  skip "skipping test SSL e-mail", 1 if (!(-e $cm_credentials_yml_file)) ;

  # Test SSL e-mail send
  Stanford::Certificate::Mail::send_email(
             'to'      => 'adamhl@stanford.edu',
             'subject' => 'Hello',
  ) ;
  ok (1) ;

  # Test sendmail e-mail send
  Stanford::Certificate::Mail::send_email_using_sendmail(
             'to'      => 'adamhl@stanford.edu',
             'subject' => 'Hello',
  ) ;
  ok (1) ;

}

done_testing( $number_of_tests_run ) ;
