use Test::More tests => 5 ;

use Stanford::Orange::Util qw/ tempfile / ;
use Stanford::Certificate::X509 ;

# For the slower-running tests.

# make_csr
my $subject = "test662.stanford.edu" ;
my $filename_csr = tempfile() ;
my $filename_key = tempfile() ;
my $csr = Stanford::Certificate::X509::make_csr($subject, $filename_csr, $filename_key);
ok ($csr) ;
ok (length($csr) > 100) ;
ok ($csr =~ m{^\s*-----BEGIN CERTIFICATE REQUEST-----.*-----END CERTIFICATE REQUEST-----\s*$}s) ;

unlink($filename_csr) ;
unlink($filename_key) ;
ok (!(-e $filename_csr)) ;
ok (!(-e $filename_key)) ;

